// Copyright (c) Mito
import React from 'react';
import '../../../css/editor/SuggestionBox.css';
/*
  The suggestion box suggests functions that you could be trying to
  type, beneath the cell editor.
*/
const SuggestionBox = (props) => {
    const selectedIndex = props.index % props.suggestions.length;
    const functionMatchesDivs = props.suggestions.map((suggestionObject, idx) => {
        if (idx === selectedIndex) {
            return (React.createElement("div", { key: suggestionObject.suggestion, onMouseEnter: () => props.onMouseEnterSuggestion(idx), onClick: () => { props.onSelectSuggestion(suggestionObject.type, suggestionObject.suggestion, suggestionObject.match); } },
                React.createElement("div", { className: 'suggestion-box-selected-function text-body-2' }, suggestionObject.suggestion),
                React.createElement("div", { className: 'suggestion-box-selected-description text-subtext-1' }, suggestionObject.subtitle)));
        }
        else {
            return (React.createElement("div", { className: 'suggestion-box-function text-body-2', key: suggestionObject.suggestion, onMouseEnter: () => props.onMouseEnterSuggestion(idx), onClick: () => { props.onSelectSuggestion(suggestionObject.type, suggestionObject.suggestion, suggestionObject.match); } }, suggestionObject.suggestion));
        }
    });
    return (React.createElement("div", { className: 'suggestion-box-container' }, functionMatchesDivs));
};
export default SuggestionBox;
//# sourceMappingURL=SuggestionBox.js.map