// Copyright (c) Mito
import React from 'react';
import SheetTab from './SheetTab';
// import css
import "../../../css/footer.css";
import { TaskpaneType } from '../taskpanes/taskpanes';
import PlusIcon from '../icons/PlusIcon';
/*
    Wrapper component that displays the entire footer of the sheet, including
    the sheet tabs, as well as the shape of the currently selected dataframe.
*/
function Footer(props) {
    return (React.createElement("div", { className: 'footer' },
        React.createElement("div", { className: 'footer-add-button', onClick: () => { void props.setCurrOpenTaskpane({ type: TaskpaneType.IMPORT }); } },
            React.createElement(PlusIcon, null)),
        React.createElement("div", { className: "footer-tab-bar" }, props.dfNames.map((dfName, idx) => {
            return (React.createElement(SheetTab, { key: idx, dfName: dfName, sheetShape: props.sheetShapeArray[idx], sheetIndex: idx, selectedSheetIndex: props.selectedSheetIndex, setSelectedSheetIndex: props.setSelectedSheetIndex, mitoAPI: props.mitoAPI, closeOpenEditingPopups: props.closeOpenEditingPopups }));
        })),
        props.sheetShapeArray[props.selectedSheetIndex] !== undefined &&
            React.createElement("div", { className: 'footer-sheet-shape' },
                "(",
                props.sheetShapeArray[props.selectedSheetIndex].rows,
                ", ",
                props.sheetShapeArray[props.selectedSheetIndex].cols,
                ")")));
}
export default Footer;
//# sourceMappingURL=Footer.js.map