// Copyright (c) Mito
import React, { Fragment } from 'react';
// import css
import DefaultModal from '../DefaultModal';
import { ModalEnum } from './modals';
import TextButton from '../elements/TextButton';
/*
    A modal that displays error messages and gives
    users actions to recover.
*/
const ErrorModal = (props) => {
    return (React.createElement(DefaultModal, { header: "Oops! " + props.errorJSON.header, modalType: ModalEnum.Error, viewComponent: React.createElement(Fragment, null,
            React.createElement("div", null, props.errorJSON.to_fix)), buttons: React.createElement(Fragment, null,
            React.createElement(TextButton, { variant: 'light', width: 'small', onClick: () => { props.setModal({ type: ModalEnum.None }); } }, "Close"),
            React.createElement(TextButton, { variant: 'dark', width: 'small', href: 'mailto:aarondr77@gmail.com', target: '_blank', onClick: () => { props.setModal({ type: ModalEnum.None }); } }, "Contact Us")) }));
};
export default ErrorModal;
//# sourceMappingURL=ErrorModal.js.map