// Copyright (c) Mito
import React from 'react';
import { isFilterGroup } from './filterTypes';
import { Filter } from './Filter';
import FilterGroup from './FilterGroup';
import DropdownButton from '../../../../elements/DropdownButton';
import Select from '../../../../elements/Select';
import Row from '../../../../spacing/Row';
import Col from '../../../../spacing/Col';
import '../../../../../../css/taskpanes/ControlPanel/FilterCard.css';
export const ADD_FILTER_SELECT_TITLE = '+ Add Filter';
/*
    Component that contains all that one needs to filter!
*/
function FilterCard(props) {
    return (React.createElement("div", null,
        React.createElement("div", { className: 'text-header-3 mt-15px' },
            React.createElement("p", null, " Filter ")),
        props.filters.map((filterOrGroup, index) => {
            if (isFilterGroup(filterOrGroup)) {
                return (
                /*
                    If the FilterGroup is the first Filter or FilterGroup
                    in the FilterCard, add a 'Where'
                */
                React.createElement(Row, { justify: 'space-between', align: 'top' },
                    React.createElement(Col, { span: 4 },
                        index === 0 &&
                            React.createElement("p", { className: 'text-body-1' }, "Where"),
                        index !== 0 &&
                            React.createElement(Select, { value: props.operator, options: ['And', 'Or'], onChange: (newOperator) => props.setOperator(newOperator) })),
                    React.createElement(Col, { span: 19 },
                        React.createElement(FilterGroup, { key: index, mainOperator: props.operator, filters: filterOrGroup.filters, groupOperator: filterOrGroup.operator, setFilter: (filterIndex, newFilter) => {
                                props.setFilterInGroup(index, filterIndex, newFilter);
                            }, setOperator: (newOperator) => {
                                props.setOperatorInGroup(index, newOperator);
                            }, deleteFilter: (filterIndex) => {
                                props.deleteFilterFromGroup(index, filterIndex);
                            }, addFilter: () => props.addFilterToGroup(index) }))));
            }
            else {
                return (React.createElement(Filter, { first: index === 0, key: index, filter: filterOrGroup, operator: props.operator, displayOperator: true, setFilter: (newFilter) => {
                        props.setFilter(index, newFilter);
                    }, setOperator: props.setOperator, deleteFilter: () => { props.deleteFilter(index); } }));
            }
        }),
        React.createElement(DropdownButton, { options: {
                'Add a Filter': props.addFilter,
                'Add a Group of Filters': props.addFilterGroup
            }, width: 'medium' }, ADD_FILTER_SELECT_TITLE)));
}
export default FilterCard;
//# sourceMappingURL=FilterCard.js.map