// Copyright (c) Mito
import { DatetimeFilterCondition, NumberFilterCondition, StringFilterCondition, BooleanFilterCondition } from './filterTypes';
const BOOLEAN_SELECT_OPTIONS = {
    [BooleanFilterCondition.IS_TRUE]: 'is true',
    [BooleanFilterCondition.IS_FALSE]: 'is false',
    [BooleanFilterCondition.EMPTY]: 'is empty',
    [BooleanFilterCondition.NOT_EMPTY]: 'is not empty'
};
const NUMBER_SELECT_OPTIONS = {
    [NumberFilterCondition.NUMBER_EXACTLY]: '=',
    [NumberFilterCondition.NUMBER_NOT_EXACTLY]: '\u2260',
    [NumberFilterCondition.GREATER]: '\u003E',
    [NumberFilterCondition.GREATER_THAN_OR_EQUAL]: '\u2265',
    [NumberFilterCondition.LESS]: '\u003C',
    [NumberFilterCondition.LESS_THAN_OR_EQUAL]: '\u2264',
    [NumberFilterCondition.EMPTY]: 'is empty',
    [NumberFilterCondition.NOT_EMPTY]: 'is not empty'
};
const STRING_SELECT_OPTIONS = {
    [StringFilterCondition.CONTAINS]: 'contains',
    [StringFilterCondition.DOES_NOT_CONTAIN]: 'does not contain',
    [StringFilterCondition.STRING_EXACTLY]: 'is exactly',
    [StringFilterCondition.STRING_NOT_EXACTLY]: 'is not exactly',
    [StringFilterCondition.EMPTY]: 'is empty',
    [StringFilterCondition.NOT_EMPTY]: 'is not empty'
};
const DATETIME_SELECT_OPTIONS = {
    [DatetimeFilterCondition.DATETIME_EXTACTLY]: '=',
    [DatetimeFilterCondition.DATETIME_NOT_EXTACTLY]: '!=',
    [DatetimeFilterCondition.DATETIME_GREATER_THAN]: '\u003E',
    [DatetimeFilterCondition.DATETIME_GREATER_THAN_OR_EQUAL]: '\u2265',
    [DatetimeFilterCondition.DATETIME_LESS]: '\u003C',
    [DatetimeFilterCondition.DATETIME_LESS_THAN_OR_EQUAL]: '\u2264',
    [DatetimeFilterCondition.EMPTY]: 'is empty',
    [DatetimeFilterCondition.NOT_EMPTY]: 'is not empty'
};
export const COLUMN_TYPE_TO_SELECT_OPTIONS = {
    ["boolean_series" /* BOOLEAN_SERIES */]: BOOLEAN_SELECT_OPTIONS,
    ["string_series" /* STRING_SERIES */]: STRING_SELECT_OPTIONS,
    ["number_series" /* NUMBER_SERIES */]: NUMBER_SELECT_OPTIONS,
    ["datetime_series" /* DATETIME_SERIES */]: DATETIME_SELECT_OPTIONS,
    // We don't have time delta filters yet, so we just default to string options
    ["timedelta_series" /* TIMEDELTA_SERIES */]: STRING_SELECT_OPTIONS,
};
export const CONDITIONS_WITH_NO_INPUT = [
    BooleanFilterCondition.IS_TRUE,
    BooleanFilterCondition.IS_FALSE,
    BooleanFilterCondition.EMPTY,
    BooleanFilterCondition.NOT_EMPTY,
    NumberFilterCondition.EMPTY,
    NumberFilterCondition.NOT_EMPTY,
    StringFilterCondition.EMPTY,
    StringFilterCondition.NOT_EMPTY,
    DatetimeFilterCondition.EMPTY,
    DatetimeFilterCondition.NOT_EMPTY,
];
//# sourceMappingURL=filterConditions.js.map