// Copyright (c) Mito
// Distributed under the terms of the Modified BSD License.
import React, { Fragment } from 'react';
import DefaultTaskpane from '../DefaultTaskpane';
import BlueMitoFolk from '../../icons/mitofolks/BlueMitoFolk';
/*
    Taskpane that thanks the user for submitting feedback,
    because we really do appreciate it!
*/
function FeedbackThanksTaskpane(props) {
    return (React.createElement(DefaultTaskpane, { header: 'Thanks for feedback!', setCurrOpenTaskpane: props.setCurrOpenTaskpane, taskpaneBody: React.createElement(Fragment, null,
            React.createElement("p", { className: 'txt-16 mb-20px' }, "We really appreciate your feedback. If you are willing to hop on a 15 minute call and give us more detail, we'd love to hear more."),
            React.createElement("p", { className: 'txt-16 mb-5px' },
                "You can schedule a call with ",
                React.createElement("a", { onClick: () => { void props.mitoAPI.sendLogMessage('clicked_book_feedback_call'); }, href: 'https://meetings.hubspot.com/nate301/mito-early-access-demo', target: '_blank', rel: "noreferrer" },
                    React.createElement("u", null, "the founding team here."))),
            React.createElement(BlueMitoFolk, { bounce: true, loops: '3', margin: '75px 65px' })), 
        /* We put a funky-dunky gradient on the taskpane, for fun and profit */
        backgroundImage: 'linear-gradient(#FFEBEB, #FFE6C8)' }));
}
export default FeedbackThanksTaskpane;
//# sourceMappingURL=FeedbackThanksTaskpane.js.map