// Copyright (c) Mito
import React from 'react';
// import css
import '../../../../css/taskpanes/Merge/MergeSheetAndKeySelection.css';
import { MergeSheet } from './MergeTaskpane';
import Select from '../../elements/Select';
import { getKeyFromValue } from '../../../utils/objects';
/*
  A custom component that allows you to select a sheet from the list of
  possible sheets, as well as a column header from that sheet.
*/
const MergeSheetAndKeySelection = (props) => {
    const columnHeaders = Object.values(props.columnIDsMap);
    const sheetNumStr = props.sheetNum == MergeSheet.First ? 'First' : 'Second';
    return (React.createElement("div", { className: 'merge-sheet-and-key mt-15px' },
        React.createElement("div", null,
            React.createElement("p", { className: 'text-header-3' },
                sheetNumStr,
                " Sheet"),
            React.createElement(Select, { value: props.dfNames[props.sheetIndex], options: props.dfNames, onChange: (dfName) => {
                    // Safe cast as df names are all strings
                    const newSheetIndex = props.dfNames.indexOf(dfName);
                    props.setNewSheetIndex(newSheetIndex);
                }, width: 'medium' })),
        React.createElement("div", null,
            React.createElement("p", { className: 'text-header-3' }, "Merge Key"),
            React.createElement(Select, { value: props.columnIDsMap[props.mergeKeyColumnID], options: columnHeaders, onChange: (newMergeKeyColumnHeader) => {
                    props.setNewMergeKeyColumnID(getKeyFromValue(props.columnIDsMap, newMergeKeyColumnHeader));
                }, width: 'medium' }))));
};
export default MergeSheetAndKeySelection;
//# sourceMappingURL=MergeSheetAndKeySelection.js.map