// Copyright (c) Mito
import React from 'react';
import { AggregationType } from './PivotTaskpane';
// import css
import Select from '../../elements/Select';
import XIcon from '../../icons/XIcon';
import Row from '../../spacing/Row';
import Col from '../../spacing/Col';
import { getKeyFromValue } from '../../../utils/objects';
/*
  A custom component that displays the column headers chosen as the key for the pivot table.
*/
const PivotTableValueAggregationCard = (props) => {
    // Create a list of the possible aggregation methods
    const aggregationTypeList = Object.values(AggregationType);
    const setAggregationType = (aggregationType) => {
        // Declare the aggregationType param of type AggregationType and then make sure that it is
        const aggregationTypeCast = aggregationType;
        if (aggregationTypeList.includes(aggregationTypeCast)) {
            props.editPivotValueAggregation(aggregationTypeCast, props.columnID);
        }
    };
    return (React.createElement(Row, { align: 'center' },
        React.createElement(Col, null,
            React.createElement(Select, { value: props.aggregationType, options: aggregationTypeList, 
                // Safe to cast to number as the aggregationTypeList is all numbers
                onChange: (newAggregationType) => setAggregationType(newAggregationType), width: 'small' })),
        React.createElement(Col, { offset: 1, flex: '1' },
            React.createElement(Select, { value: props.columnIDsMap[props.columnID], options: Object.values(props.columnIDsMap), onChange: (columnHeader) => {
                    props.editPivotValueAggregation(props.aggregationType, getKeyFromValue(props.columnIDsMap, columnHeader));
                } })),
        React.createElement(Col, { offset: 1, offsetRight: 1 },
            React.createElement(XIcon, { onClick: () => props.removePivotValueAggregation() }))));
};
export default PivotTableValueAggregationCard;
//# sourceMappingURL=PivotTableValueAggregationCard.js.map