// Copyright (c) Mito
import React from 'react';
import PivotTableValueAggregationCard from './PivotTableValueAggregationCard';
// import css
import PivotInvalidSelectedColumnsError from './PivotInvalidSelectedColumnsError';
import DropdownButton, { getOptionsFromArray } from '../../elements/DropdownButton';
import Row from '../../spacing/Row';
import Col from '../../spacing/Col';
import { getKeyFromValue } from '../../../utils/objects';
/*
  A custom component used in the pivot table which lets the
  user select column headers to add to the row or column keys
*/
const PivotTableValueSelection = (props) => {
    return (React.createElement("div", null,
        React.createElement(Row, { justify: 'space-between', align: 'center' },
            React.createElement(Col, null,
                React.createElement("p", { className: 'text-header-3' }, "Values")),
            React.createElement(Col, null,
                React.createElement(DropdownButton, { options: getOptionsFromArray(Object.values(props.columnIDsMap), (columnHeader) => {
                        props.addPivotValueAggregation(getKeyFromValue(props.columnIDsMap, columnHeader));
                    }), width: 'small' }, "+ Add"))),
        React.createElement(PivotInvalidSelectedColumnsError, { columnIDsMap: props.columnIDsMap, pivotSection: 'values', selectedColumnIDs: props.pivotValuesColumnIDsArray.map(([columnID,]) => columnID), mitoAPI: props.mitoAPI }),
        props.pivotValuesColumnIDsArray.map(([columnID, aggregationType], valueIndex) => {
            return (React.createElement(PivotTableValueAggregationCard, { key: columnID + valueIndex + aggregationType, columnIDsMap: props.columnIDsMap, columnID: columnID, aggregationType: aggregationType, removePivotValueAggregation: () => {
                    props.removePivotValueAggregation(valueIndex);
                }, editPivotValueAggregation: (newAggregationType, newColumnID) => {
                    props.editPivotValueAggregation(valueIndex, newAggregationType, newColumnID);
                } }));
        })));
};
export default PivotTableValueSelection;
//# sourceMappingURL=PivotTableValueSelection.js.map