/*
    Utility functions for operating on arrays.
*/
/*
    Returns all items in both array1 and array2, in the order
    that they appear in array1
*/
export function intersection(array1, array2) {
    const finalArray = [];
    array1.forEach(element => {
        if (array2.indexOf(element) >= 0) {
            finalArray.push(element);
        }
    });
    return finalArray;
}
function onlyUnique(value, index, self) {
    return self.indexOf(value) === index;
}
/*
    Helper function for deduplicating an array, which is necessary
    in the pivot taskpane so we don't send more columns than we want
    to the backend in the rows/columns section
*/
export function getDeduplicatedArray(array) {
    return array.filter(onlyUnique);
}
//# sourceMappingURL=arrays.js.map